package com.ss.android.ugc.aweme.ecommerce.api.model;

import X.C22198Yg;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Objects;

public final class VideoInfo implements Parcelable {
    public static final Parcelable.Creator<VideoInfo> CREATOR = new C22198Yg();
    @c(LIZ = "main_url")
    public final String LIZ;
    @c(LIZ = "backup_url")
    public final String LIZIZ;
    @c(LIZ = "url_expire")
    public final Integer LIZJ;
    @c(LIZ = "width")
    public final Integer LIZLLL;
    @c(LIZ = "height")
    public final Integer LJ;
    @c(LIZ = "file_hash")
    public final String LJFF;
    @c(LIZ = "format")
    public final String LJI;
    @c(LIZ = "size")
    public final Integer LJII;
    @c(LIZ = "bitrate")
    public final Integer LJIIIIZZ;

    static {
        Covode.recordClassIndex(68493);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ, this.LJFF, this.LJI, this.LJII, this.LJIIIIZZ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof VideoInfo)) {
            return false;
        }
        return M12.LIZ(((VideoInfo) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("VideoInfo:%s,%s,%s,%s,%s,%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        parcel.writeString(this.LIZIZ);
        Integer num = this.LIZJ;
        if (num != null) {
            parcel.writeInt(1);
            parcel.writeInt(num.intValue());
        } else {
            parcel.writeInt(0);
        }
        Integer num2 = this.LIZLLL;
        if (num2 != null) {
            parcel.writeInt(1);
            parcel.writeInt(num2.intValue());
        } else {
            parcel.writeInt(0);
        }
        Integer num3 = this.LJ;
        if (num3 != null) {
            parcel.writeInt(1);
            parcel.writeInt(num3.intValue());
        } else {
            parcel.writeInt(0);
        }
        parcel.writeString(this.LJFF);
        parcel.writeString(this.LJI);
        Integer num4 = this.LJII;
        if (num4 != null) {
            parcel.writeInt(1);
            parcel.writeInt(num4.intValue());
        } else {
            parcel.writeInt(0);
        }
        Integer num5 = this.LJIIIIZZ;
        if (num5 != null) {
            parcel.writeInt(1);
            parcel.writeInt(num5.intValue());
            return;
        }
        parcel.writeInt(0);
    }

    public VideoInfo(String str, String str2, Integer num, Integer num2, Integer num3, String str3, String str4, Integer num4, Integer num5) {
        this.LIZ = str;
        this.LIZIZ = str2;
        this.LIZJ = num;
        this.LIZLLL = num2;
        this.LJ = num3;
        this.LJFF = str3;
        this.LJI = str4;
        this.LJII = num4;
        this.LJIIIIZZ = num5;
    }
}
